#!/usr/bin/perl -w
#
# xchat-autoload.pl
# -----------------
# xchat already automatically loads any perl
# scripts it finds in your ~/.xchat directory
# but doesn't scan for *.so plugins.
# ... soooo ...
# drop this script in your ~/.xchat directory and
# it will automatically load all the *.so
# files in your $DLL_DIR. you might want to set
# this variable to a different directory below.
#
# Elgin <gmorison@javanet.com>
#
# -----
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#


# change this to where you keep your DLL plugins
$DLL_DIR = "~/.xchat";


IRC::print "\0035* **  Scanning autoload DLLs in $DLL_DIR ...\003 \n";
@DLLS = split(/[\n\r]/, `ls -1 $DLL_DIR/*.so`);
foreach $var (@DLLS)
{
#	IRC::print "\0035      Loading $var ...\003 \n";
	IRC::command "/LOADDLL $var";
}
